@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}
:root {
    --font-inter: 'Inter', sans-serif;
    --primary-color: #263238;
    --secondary-color: #FFF;
}
body {
    font-family: var(--font-inter);
    color: var(--primary-color);
}

/* Common CSS */
.primary-color {
    color: var(--primary-color);
}
.secondary-color {
    color: var(--secondary-color);
}
.primary-bg {
    background-color: var(--primary-color);
}
.secondary-bg {
    background-color: var(--secondary-color);
}
.primary-border {
    border-color: var(--primary-color);
}
.secondary-border {
    border-color: var(--secondary-color);
}
.img-cover {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.white-btn:hover,
.white-btn:focus {
    background-color: var(--secondary-color);
    border-color: var(--secondary-color);
    color: var(--primary-color);
}
.dark-body {
    background-color: var(--primary-color);
    padding: 15px;
    border-radius: 6px;
    display: inline-block;
    margin: 0 15px;
}
.section-spacing {
    padding: 20px;
}
.mb-15 {
    margin-bottom: 15px;
}
.global-padding {
    padding-left: 64px;
    padding-right: 64px;
}
.global-padding-vertical {
    padding-top: 64px;
    padding-bottom: 64px;
} 
.heading-style-h5 {
    font-family: var(--font-inter);
    font-size: 20px;
    font-size: 1.5vw;
    font-weight: 600;
    line-height: 1.3;
    letter-spacing: -.5px;
}

/* HTML Heading */
h1 {
    font-family: var(--font-inter);
    font-size: 10vw;
    font-weight: 600;
    line-height: 1.1;
    letter-spacing: -1.5px;
    margin-top: 0;
    margin-bottom: 0;
}
h2 {
    font-family: var(--font-inter);
    font-size: 10vw;
    font-weight: 600;
    line-height: 1.1;
    letter-spacing: -1px;
    margin-top: 0;
    margin-bottom: 0;
}
h3 {
    font-family: var(--font-inter);
    font-size: 8vw;
    font-weight: 600;
    line-height: 1.2;
    letter-spacing: -0.5px;
    margin-top: 0;
    margin-bottom: 0;
}
h4 {
    font-family: var(--font-inter);
    font-size: 6vw;
    font-weight: 600;
    line-height: 1.2;
    letter-spacing: -0.5px;
    margin-top: 0;
    margin-bottom: 0;
}
h5 {
    font-family: var(--font-inter);
    font-size: 5vw;
    font-weight: 600;
    line-height: 1.3;
    margin-top: 0;
    margin-bottom: 0;
}
h6 {
    font-family: var(--font-inter);
    font-size: 3vw;
    font-weight: 600;
    line-height: 1.3;
    margin-top: 0;
    margin-bottom: 0;
}

/* heading intro section */
.heading-intro-section {
    padding: 64px;
}
.heading-intro-section .heading-intro-title {
    font-size: 140px;
    font-weight: 600;
    line-height: 1;
    max-width: 1000px;
    width: 100%;
}
.heading-intro-section .headline h2 {
    font-size: 72px;
    line-height: 1.1;
}
.heading-intro-section h2.heading-intro-desc {
    max-width: 850px;
}
.heading-intro-section p.heading-intro-desc {
    font-size: 38px;
    line-height: 1.2;
    margin-top: 50px;
    max-width: 800px;
    width: 100%;
}

/* image parallax section */
.image-parallax-section,
.image-medium-parallax-section {
    position: relative;
    overflow: hidden;
    height: 90vh;
    max-height: 75vw;
}
.image-parallax-wrapper {
    height: 100%;
    width: 100%;
}

/* Toggle menu */
.btn-toggle {
    border-width: 2px;
    border-style: solid;
    border-radius: 50px;
    cursor: pointer;
    display: inline-block;
    font-size: 18px;
    font-weight: 600;
    line-height: 1.1;
    margin: 0;
    padding: 13px 24px;
    text-align: center;
    text-decoration: none;
    transition: border-color .2s, color .2s, background-color .2s;
}
.btn-toggle:hover,
.btn-toggle:focus {
    color: var(--secondary-color);
}
.btn-toggle.btn-toggle-dark-outline:hover,
.btn-toggle.btn-toggle-light:hover {
    color: var(--primary-color);
}
.btn-toggle-text-inner {
    height: 21px;
    overflow: hidden;
}

/* Scroll Down Button */
.scroll-down-btn {
    grid-column-gap: 8px;
    grid-row-gap: 8px;
    display: inline-flex;
    flex-wrap: nowrap;
    align-items: center;
    padding-left: 0;
    text-decoration: none;
}
.scroll-down-icon {
    line-height: 1;
    height: 30px;
    width: 30px;
}
.scroll-down-icon-wrapper {
    overflow: hidden;
    height: 30px;
    width: 30px;
}
.scroll-down-btn-text {
    font-family: var(--font-inter);
    font-size: 24px;
    font-weight: 600;
    line-height: 1.2;
    letter-spacing: -.5px;
}
.scroll-down-btn-dark:hover {
    color: var(--secondary-color);
}
 
/* line animation */
.line-vertical,
.line {
    opacity: 0;
    transition: all 2s ease;
}
.line-section {
    height: 100px;
}
.line {
    background-color: #1e1e21;
    perspective-origin: 50%;
    transform-origin: 50%;
    height: 2px;
    width: 100%;
}
.line-vertical {
    background-color: #1e1e21;
    perspective-origin: 50%;
    transform-origin: 50%;
    height: 100%;
    width: 2px;
}
.line-vertical.animate-vertical {
    animation: growHeight 2s ease forwards;
    opacity: 1;
    height: 100%;
}
.line.animate-horizontal {
    opacity: 1;
    animation: growWidth 2s ease forwards;
    width: 100%;
}

@keyframes growHeight {
    from {
        height: 0;
    }
    to {
        height: 100%;
    }
}
@keyframes growWidth {
    from {
        width: 0;
    }
    to {
        width: 100%;
    }
}

/* Marquee animation */
.marquee-section {
    overflow: hidden;
}
.marquee-inner {
    display: flex;
    align-items: center;
    gap: 32px;
}
.marquee-heading {
    font-size: 10rem;
    font-weight: 600;
}

/* Underline link */
.Underline-link {
    position: relative;
    text-decoration: none;
    font-weight: 600;
    font-size: 18px;
    transition: .5s;
}
.Underline-link::before {
    content: '';
    background-color: var(--primary-color);
    position: absolute;
    bottom: -5px;
    left: 0;
    transition: .5s;
    height: 2px;
    width: 0;
}
.Underline-link:hover::before {
    width: 100%;
}
.Underline-link.light::before {
    background-color: var(--secondary-color);
}
.Underline-link-dark:hover {
    color: var(--secondary-color);
}

/* Toggle arrow link */
.toggle-arrow-link {
    display: inline-flex;
    align-items: center;
    flex-direction: row;
    gap: 16px;
    text-decoration: none;
}
.toggle-arrow-icon {
    height: 28px;
    width: 28px;
}
.toggle-arrow-inner {
    font-size: 32px;
    font-weight: 600;
    height: 40px;
    text-transform: uppercase;
    overflow: hidden;
}
.toggle-arrow-link-dark:hover {
    color: var(--secondary-color);
} 

/* Media query */
@media screen and (min-width: 1440px) {
    h1 {
        font-size: 3.5rem;
    }
    h2 {
        font-size: 2.75rem;
    }
    h3 {
        font-size: 2rem;
    }
    h4 {
        font-size: 1.5rem;
    }
    h5 {
        font-size: 1.25rem;
    }
    h6 {
        font-size: 1.125rem;
    }
    .image-parallax-section {
        max-height: 1000px;
    }
    .heading-style-h5 {
        font-size: 20px;
    }
}

/* Below 1280px */
@media screen and (max-width: 1280.98px) {
    .global-padding {
        padding-left: 40px;
        padding-right: 40px;
    }
    .heading-intro-section .heading-intro-title {
        font-size: 120px;
    }
    .heading-intro-section .headline h2 {
        font-size: 4vw;
    }
    .heading-intro-section p.heading-intro-desc {
        font-size: 34px;
        margin-top: 45px;
    }
}

@media screen and (max-width: 991.98px) {
    .heading-intro-section {
        padding: 48px 40px;
    }
    .heading-intro-section .heading-intro-title {
        font-size: 80px;
    }
    .heading-intro-section .headline h2 {
        font-size: 46px;
    }
    .heading-intro-section p.heading-intro-desc {
        font-size: 30px;
        margin-top: 40px;
    }
    .image-parallax-section {
        height: 75vh;
    }
    .heading-style-h5 {
        font-size: 20px;
    }
}

@media screen and (max-width: 767.98px) {
    .heading-intro-section {
        padding: 32px;
    }
    .global-padding {
        padding-left: 24px;
        padding-right: 24px;
    }
    .global-padding-vertical {
        padding-top: 48px;
        padding-bottom: 48px;
    }
    .heading-intro-section .heading-intro-title {
        font-size: 60px;
    }
    .heading-intro-section .headline h2 {
        font-size: 36px;
    }
    .heading-intro-section p.heading-intro-desc {
        font-size: 26px;
        margin-top: 35px;
    }
}

@media screen and (max-width: 575.98px) {
    .heading-intro-section .heading-intro-title {
        font-size: 50px;
    }  
}